#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# config /pfad/zu/datei.new

(cd usr/bin; ln -sf ../local/openxp/openxp)
Verz=/usr/local/openxp/lib
grep -q $Verz etc/ld.so.conf || echo $Verz >> etc/ld.so.conf
(cd usr/local/lib; rm -rf openxp; ln -s ../openxp)
ldconfig
#
